com.android.agf.activities

## Class CreateDashboardActivity

- java.lang.Object
- - android.content.Context
  - - android.content.ContextWrapper
    - - android.view.ContextThemeWrapper
      - - android.app.Activity
        - - android.support.v4.app.FragmentActivity
          - - android.support.v4.app._ActionBarSherlockTrojanHorse
            - - com.actionbarsherlock.app.SherlockFragmentActivity
              - - com.android.agf.activities.CreateDashboardActivity

- All Implemented Interfaces:
    ComponentCallbacks, ComponentCallbacks2, KeyEvent.Callback, LayoutInflater.Factory, LayoutInflater.Factory2, View.OnCreateContextMenuListener, Window.Callback, com.actionbarsherlock.ActionBarSherlock.OnActionModeFinishedListener, com.actionbarsherlock.ActionBarSherlock.OnActionModeStartedListener, com.actionbarsherlock.ActionBarSherlock.OnCreatePanelMenuListener, com.actionbarsherlock.ActionBarSherlock.OnMenuItemSelectedListener, com.actionbarsherlock.ActionBarSherlock.OnPreparePanelListener, Edit_base_Fragment.EditListener, NumComponentsFragment.CreateListener, PickComponentFragment.PickListener

      public class CreateDashboardActivity
      extends com.actionbarsherlock.app.SherlockFragmentActivity
      implements NumComponentsFragment.CreateListener, Edit_base_Fragment.EditListener, PickComponentFragment.PickListener

  classe per crear un nou dashboard. implementa tres listeners per les tres fases on es pases. esta implementada utilitzant fragments
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.support.v4.app._ActionBarSherlockTrojanHorse

      `_ActionBarSherlockTrojanHorse.OnCreateOptionsMenuListener, _ActionBarSherlockTrojanHorse.OnOptionsItemSelectedListener, _ActionBarSherlockTrojanHorse.OnPrepareOptionsMenuListener`

  - ### Field Summary

    - ### Fields inherited from class android.app.Activity

      `DEFAULT_KEYS_DIALER, DEFAULT_KEYS_DISABLE, DEFAULT_KEYS_SEARCH_GLOBAL, DEFAULT_KEYS_SEARCH_LOCAL, DEFAULT_KEYS_SHORTCUT, FOCUSED_STATE_SET, RESULT_CANCELED, RESULT_FIRST_USER, RESULT_OK`

    - ### Fields inherited from class android.content.Context

      `ACCESSIBILITY_SERVICE, ACCOUNT_SERVICE, ACTIVITY_SERVICE, ALARM_SERVICE, AUDIO_SERVICE, BIND_ABOVE_CLIENT, BIND_ADJUST_WITH_ACTIVITY, BIND_ALLOW_OOM_MANAGEMENT, BIND_AUTO_CREATE, BIND_DEBUG_UNBIND, BIND_IMPORTANT, BIND_NOT_FOREGROUND, BIND_WAIVE_PRIORITY, CLIPBOARD_SERVICE, CONNECTIVITY_SERVICE, CONTEXT_IGNORE_SECURITY, CONTEXT_INCLUDE_CODE, CONTEXT_RESTRICTED, DEVICE_POLICY_SERVICE, DOWNLOAD_SERVICE, DROPBOX_SERVICE, INPUT_METHOD_SERVICE, KEYGUARD_SERVICE, LAYOUT_INFLATER_SERVICE, LOCATION_SERVICE, MODE_APPEND, MODE_MULTI_PROCESS, MODE_PRIVATE, MODE_WORLD_READABLE, MODE_WORLD_WRITEABLE, NFC_SERVICE, NOTIFICATION_SERVICE, POWER_SERVICE, SEARCH_SERVICE, SENSOR_SERVICE, STORAGE_SERVICE, TELEPHONY_SERVICE, TEXT_SERVICES_MANAGER_SERVICE, UI_MODE_SERVICE, USB_SERVICE, VIBRATOR_SERVICE, WALLPAPER_SERVICE, WIFI_P2P_SERVICE, WIFI_SERVICE, WINDOW_SERVICE`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateDashboardActivity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCreate(Bundle savedInstanceState)` es crida quan l'activity es crea, obtencio dels extras i definició del layout i actionbar
    `boolean` | `onCreateOptionsMenu(com.actionbarsherlock.view.Menu menu)` creacio de l'action bar, control segons l'estat del procés de creació
    `void` | `onCreateStart(int num)` funcio per iniciar l'estructura de dashboard escollida. el fragment actual es guarda a la pila per tornar enrere si l'usuari sen desdiu
    `protected void` | `onDestroy()` neteja de camps de dades per afavorir el GC i alliberar memòria
    `void` | `onEditStart(int num)` funcio per iniciar l'escollir un component afegit el fragment de l'estructura actual a la pila
    `boolean` | `onOptionsItemSelected(com.actionbarsherlock.view.MenuItem item)` control dels botons presents a l'actionbar
    `void` | `onPickStart(String id, String titol, String usuari, int num)` listener amb el retorn del fragment d'escollir i actualitzar el de l'estructura
    `void` | `onResume()` inicia el fragment de nombre de components

    - ### Methods inherited from class com.actionbarsherlock.app.SherlockFragmentActivity

      `addContentView, closeOptionsMenu, dispatchKeyEvent, getSherlock, getSupportActionBar, getSupportMenuInflater, invalidateOptionsMenu, onActionModeFinished, onActionModeStarted, onConfigurationChanged, onCreateOptionsMenu, onCreatePanelMenu, onMenuItemSelected, onMenuOpened, onOptionsItemSelected, onPanelClosed, onPause, onPostCreate, onPostResume, onPrepareOptionsMenu, onPrepareOptionsMenu, onPreparePanel, onStop, onTitleChanged, openOptionsMenu, requestWindowFeature, setContentView, setContentView, setContentView, setSupportProgress, setSupportProgressBarIndeterminate, setSupportProgressBarIndeterminateVisibility, setSupportProgressBarVisibility, setSupportSecondaryProgress, startActionMode, supportInvalidateOptionsMenu`

    - ### Methods inherited from class android.support.v4.app._ActionBarSherlockTrojanHorse

      `onCreatePanelMenu, onMenuItemSelected, onPreparePanel`

    - ### Methods inherited from class android.support.v4.app.FragmentActivity

      `dump, getLastCustomNonConfigurationInstance, getSupportFragmentManager, getSupportLoaderManager, onActivityResult, onAttachFragment, onBackPressed, onCreateView, onKeyDown, onLowMemory, onNewIntent, onResumeFragments, onRetainCustomNonConfigurationInstance, onRetainNonConfigurationInstance, onSaveInstanceState, onStart, startActivityForResult, startActivityFromFragment`

    - ### Methods inherited from class android.app.Activity

      `closeContextMenu, createPendingResult, dismissDialog, dispatchGenericMotionEvent, dispatchKeyShortcutEvent, dispatchPopulateAccessibilityEvent, dispatchTouchEvent, dispatchTrackballEvent, findViewById, finish, finishActivity, finishActivityFromChild, finishFromChild, getActionBar, getApplication, getCallingActivity, getCallingPackage, getChangingConfigurations, getComponentName, getCurrentFocus, getFragmentManager, getIntent, getLastNonConfigurationInstance, getLayoutInflater, getLoaderManager, getLocalClassName, getMenuInflater, getParent, getPreferences, getRequestedOrientation, getSystemService, getTaskId, getTitle, getTitleColor, getVolumeControlStream, getWindow, getWindowManager, hasWindowFocus, isChangingConfigurations, isChild, isFinishing, isTaskRoot, managedQuery, moveTaskToBack, onActionModeFinished, onActionModeStarted, onApplyThemeResource, onAttachedToWindow, onAttachFragment, onChildTitleChanged, onContentChanged, onContextItemSelected, onContextMenuClosed, onCreateContextMenu, onCreateDescription, onCreateDialog, onCreateDialog, onCreatePanelView, onCreateThumbnail, onCreateView, onDetachedFromWindow, onGenericMotionEvent, onKeyLongPress, onKeyMultiple, onKeyShortcut, onKeyUp, onOptionsMenuClosed, onPrepareDialog, onPrepareDialog, onRestart, onRestoreInstanceState, onSearchRequested, onTouchEvent, onTrackballEvent, onTrimMemory, onUserInteraction, onUserLeaveHint, onWindowAttributesChanged, onWindowFocusChanged, onWindowStartingActionMode, openContextMenu, overridePendingTransition, recreate, registerForContextMenu, removeDialog, requestWindowFeature, runOnUiThread, setDefaultKeyMode, setFeatureDrawable, setFeatureDrawableAlpha, setFeatureDrawableResource, setFeatureDrawableUri, setFinishOnTouchOutside, setIntent, setProgress, setProgressBarIndeterminate, setProgressBarIndeterminateVisibility, setProgressBarVisibility, setRequestedOrientation, setResult, setResult, setSecondaryProgress, setTitle, setTitle, setTitleColor, setVisible, setVolumeControlStream, showDialog, showDialog, startActionMode, startActivities, startActivity, startActivityFromChild, startActivityFromFragment, startActivityIfNeeded, startIntentSender, startIntentSenderForResult, startIntentSenderFromChild, startManagingCursor, startNextMatchingActivity, startSearch, stopManagingCursor, takeKeyEvents, triggerSearch, unregisterForContextMenu`

    - ### Methods inherited from class android.view.ContextThemeWrapper

      `attachBaseContext, getTheme, setTheme`

    - ### Methods inherited from class android.content.ContextWrapper

      `bindService, checkCallingOrSelfPermission, checkCallingOrSelfUriPermission, checkCallingPermission, checkCallingUriPermission, checkPermission, checkUriPermission, checkUriPermission, clearWallpaper, createPackageContext, databaseList, deleteDatabase, deleteFile, enforceCallingOrSelfPermission, enforceCallingOrSelfUriPermission, enforceCallingPermission, enforceCallingUriPermission, enforcePermission, enforceUriPermission, enforceUriPermission, fileList, getApplicationContext, getApplicationInfo, getAssets, getBaseContext, getCacheDir, getClassLoader, getContentResolver, getDatabasePath, getDir, getExternalCacheDir, getExternalFilesDir, getFilesDir, getFileStreamPath, getMainLooper, getObbDir, getPackageCodePath, getPackageManager, getPackageName, getPackageResourcePath, getResources, getSharedPreferences, getWallpaper, getWallpaperDesiredMinimumHeight, getWallpaperDesiredMinimumWidth, grantUriPermission, isRestricted, openFileInput, openFileOutput, openOrCreateDatabase, openOrCreateDatabase, peekWallpaper, registerReceiver, registerReceiver, removeStickyBroadcast, revokeUriPermission, sendBroadcast, sendBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendStickyBroadcast, sendStickyOrderedBroadcast, setWallpaper, setWallpaper, startInstrumentation, startService, stopService, unbindService, unregisterReceiver`

    - ### Methods inherited from class android.content.Context

      `getString, getString, getText, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, registerComponentCallbacks, unregisterComponentCallbacks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateDashboardActivity

          public CreateDashboardActivity()

  - ### Method Detail

    - #### onCreate

          public void onCreate(Bundle savedInstanceState)

      es crida quan l'activity es crea, obtencio dels extras i definició del layout i actionbar
      Overrides:
        `onCreate` in class `FragmentActivity`

    - #### onResume

          public void onResume()

      inicia el fragment de nombre de components
      Overrides:
        `onResume` in class `FragmentActivity`

    - #### onDestroy

          protected void onDestroy()

      neteja de camps de dades per afavorir el GC i alliberar memòria
      Overrides:
        `onDestroy` in class `com.actionbarsherlock.app.SherlockFragmentActivity`

    - #### onCreateOptionsMenu

          public boolean onCreateOptionsMenu(com.actionbarsherlock.view.Menu menu)

      creacio de l'action bar, control segons l'estat del procés de creació
      Overrides:
        `onCreateOptionsMenu` in class `com.actionbarsherlock.app.SherlockFragmentActivity`

    - #### onOptionsItemSelected

          public boolean onOptionsItemSelected(com.actionbarsherlock.view.MenuItem item)

      control dels botons presents a l'actionbar
      Overrides:
        `onOptionsItemSelected` in class `com.actionbarsherlock.app.SherlockFragmentActivity`

    - #### onCreateStart

          public void onCreateStart(int num)

      funcio per iniciar l'estructura de dashboard escollida. el fragment actual es guarda a la pila per tornar enrere si l'usuari sen desdiu
      Specified by:
        `onCreateStart` in interface `NumComponentsFragment.CreateListener`

    - #### onEditStart

          public void onEditStart(int num)

      funcio per iniciar l'escollir un component afegit el fragment de l'estructura actual a la pila
      Specified by:
        `onEditStart` in interface `Edit_base_Fragment.EditListener`

    - #### onPickStart

          public void onPickStart(String id,
                         String titol,
                         String usuari,
                         int num)

      listener amb el retorn del fragment d'escollir i actualitzar el de l'estructura
      Specified by:
        `onPickStart` in interface `PickComponentFragment.PickListener`